Subject: bug#23625: viper-tests.el fails in master

From: Stefan Monnier <[email-masked]>
Date: Fri, 27 May 2016 10:56:39 -0400

> Anyway, I think that the tests are working -- that is, they are picking
> up a real bug, caused independently by 088acab3 which was from Stefan.
> I've attached a fix. Stefan, can you check I have this right?

Indeed, thanks, the patch looks fine.  The use of `list` instead of
`cons` was because I intended to do

    (mapc (apply-partially #'apply #'advice-remove) viper--advice-list)

but your code is at least as good.

        Stefan